Class | PhusionPassenger::Utils::PseudoIO
In: | lib/phusion_passenger/utils.rb
Parent: | Object

Wraps another IO object. Everything written to the PseudoIO will not only be immediately forwarded to the underlying IO object but will also be captured in a buffer. The contents of the buffer can be retrieved by calling done!.

### Methods

done! method_missing new respond_to? to_io

### Public Class methods

new(sink)

### Public Instance methods

done!()
method_missing(*args, &block)
respond_to?(symbol, include_private = false)
to_io()

[Validate]